/*公共接口和android蓝牙相关操作*/
/* eslint-disable */
var adou =(function(){

	 /*获取与服务端交互时的header	 */
	var getNetHeader=function(){	
		var header=null;

		if(plus.os.name=="Android"){
			try{
				var netUtils = plus.android.importClass("com.hc.tools.network.NetworkUtils");		 
				var headerList=netUtils.getStrHeaders();
				header=JSON.parse(headerList);	 
			}catch(e){
			//TODO handle the exception
				header=null;
			}
		} else if (plus.os.name=="iOS") {
			try{
				var getDataInfoClass = plus.ios.importClass("getDataInfo");		
                var dataInfo = new getDataInfoClass();
				var headerList=dataInfo.getFivePlusAppHeader();	
				header=JSON.parse(headerList);
                plus.ios.deleteObject(dataInfo)
			}catch(e){
			//TODO handle the exception
				header=null;
			}
		}
		else
		{
			header=null;
		}
		return header;
	}
	var getAddData=function(){
		var addData=null;

		if(plus.os.name=="Android"){
			try{
                var dataManager = plus.android.importClass("com.hc.tools.prefs.WebAddDataManager");
                var dataStr=dataManager.getAddData();
                addData=JSON.parse(dataStr);
			}catch(e){
			//TODO handle the exception
				addData=null;
			}
		} else if (plus.os.name=="iOS") {
			try{
                var getDataInfoClass = plus.ios.importClass("getDataInfo");
                var dataInfo = new getDataInfoClass();
                var dataStr=dataInfo.getFivePlusAppDataInfo();
                addData=JSON.parse(dataStr);
                plus.ios.deleteObject(dataInfo)
			}catch(e){
			//TODO handle the exception
				addData=null;
			}
		} else {
			addData=null;
		}

		return addData;
	}
	 /*退出整个H5时使用*/
	 var close=function(){
        if(plus.os.name=="iOS"){
            var getDataInfoClass = plus.ios.importClass("getDataInfo");
            var dataInfo = new getDataInfoClass();
            dataInfo.dismissFivePlusViewController();
            plus.ios.deleteObject(dataInfo)
        }
        else{
           plus.runtime.quit();
        }
	 }
	 
	 var ready = function(callback) {
		
		if(window.plus) {
			setTimeout(function() { //解决callback与plusready事件的执行时机问题(典型案例:showWaiting,closeWaiting)
				
				callback();
			}, 0);
		} else {
			document.addEventListener("plusready", function() {
				
				callback();
			}, false);
		}
		
	};
	var a ={
		getNetHeader:getNetHeader,
		getAddData:getAddData,
		close:close,
		ready:ready,	}
	window.adou = a;
	return a
})();



var androidBLE =(function(){
    /*
    打开蓝牙
    返回值类型BOOL,true成功，false失败
    */
     var openBluetooth= function(){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        var result = bleUse.instance().openBluetooth();
        if (result) {

        } else {

        }
         return result;
    }

    /*
    关闭蓝牙
    返回值类型BOOL,true成功，false失败
    */
   var closeBluetooth= function(){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        var result = bleUse.instance().closeBluetooth()
        if (result) {

        } else {

        }
    }

    /*
    获取蓝牙状态
    返回值类型int,  0 未知 2 正在关闭 3 正在启动 4 蓝牙关闭 5 启动成功（搜索）
    */
    var getBluetoothStatus= function(){

        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        var result = bleUse.instance().getBluetoothStatus()
        return result;
    }

    /*
        监听蓝牙状态
        Note:需定义监听函数，函数名与callBackName一致，函数参数类型为int, 参数定义与蓝牙状态返回值一致
    */
    var onBluetoothStateChange= function(callBackName){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        bleUse.instance().onBluetoothStateChange(callBackName)
    }

    /*
    监听蓝牙设备变化
    Note:需定义监听函数，函数名与callBackName一致，函数参数类型为String -> json数组
    返回类型 [{"RSSI":"-87","name":"MeshSocket","deviceId":"E514FCDC-258A-A15D-E619-94AB12D8C943","advertisData":"<a80140e4 d107da78 01000010>"}]
    回调函数参数已删除 名称为空，kCBAdvDataManufacturerData为空 的设备信息
    */
    var onBluetoothDeviceFound= function(callBackName){
        //alert("onBluetoothDeviceFound")
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        bleUse.instance().onBluetoothDeviceFound(callBackName)
    }

    /*
        开始蓝牙扫描
        暂未添加蓝牙扫描筛选条件参数
        返回值类型BOOL,true成功，false失败
          参数option为jsonString,格式如下
        {eqDeviceId:"" ,allowDuplicatesKey:true,name:""}
        allowDuplicatesKey :是否需要重复上报
        eqDeviceId：设备deviceId，只有符合的才上报
        name :过滤的name
        type:0-从名字中获取设备id，1-从工厂字段中获取设备id
    */
    var startBluetoothDevicesDiscovery= function(option){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        var result = bleUse.instance().startBluetoothDevicesDiscovery(option)
        if (result) {

        } else {

        }
    }

    /*
        停止蓝牙扫描
        返回值类型BOOL,true成功，false失败
    */
    var stopBluetoothDevicesDiscovery= function(){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        var result = bleUse.instance().stopBluetoothDevicesDiscovery()
        if (result) {

        } else {

        }
    }

    /*
        蓝牙连接
        连接无需在关闭扫描，已内部处理
        参数option为jsonString
        格式如下  "{"success":"successCallBackName","fail":"failCallBackName", "deviceId":"69875CBE-534A-2BFE-23CE-B196487138E5"}"
        successCallBackName 蓝牙连接成功的回调函数名    参数为jsonString 设备的deviceId   设备是否连接connected
        failCallBackName 蓝牙连接失败的回调函数名
        deviceId 设备的UUID
    */
    var createBLEConnection= function(option){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        bleUse.instance().createBLEConnection(option)
    }

    /*
        蓝牙断开连接

    */
    var closeBLEConnection= function(){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        bleUse.instance().closeBLEConnection()
    }

    /*
        获取蓝牙设备所有的服务
        参数option为jsonString
        格式如下  "{"success":"successCallBackName","fail":"failCallBackName", "deviceId":"69875CBE-534A-2BFE-23CE-B196487138E5"}"
        successCallBackName 获取成功回调函数名 参数为jsonString
        failCallBackName 获取失败回调函数名
        deviceId 设备的UUID
    */
    var getBLEDeviceServices= function(option){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        bleUse.instance().getBLEDeviceServices(option)
    }


    /*
     获取蓝牙设备所有的特征值
     参数option为jsonString
     格式如下  "{"success":"successCallBackName","fail":"failCallBackName", "deviceId":"69875CBE-534A-2BFE-23CE-B196487138E5","serviceId":"FFF0"}"
     successCallBackName 获取成功回调函数名 参数为jsonString
     failCallBackName 获取失败回调函数名
     deviceId 设备的UUID
     serviceId 服务UUID
     */
    var getBLEDeviceCharacteristics= function(option){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        bleUse.instance().getBLEDeviceCharacteristics(option)
    }


    /*
        启用低功耗蓝牙设备特征值变化时的notify功能，订阅特征值
        参数option为jsonString
        格式如下  "{"success":"successCallBackName","fail":"failCallBackName", "deviceId":"69875CBE-534A-2BFE-23CE-B196487138E5","serviceId":"FFF0","characteristicId":"FFF1","state":1}"
        successCallBackName 接收到notify函数名 参数为jsonString
        failCallBackName 订阅失败函数名
        deviceId 设备的UUID
        serviceId 服务UUID
        characteristicId 特征值UUID
        state 订阅状态
    */
    var notifyBLECharacteristicValueChange= function(option){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        bleUse.instance().notifyBLECharacteristicValueChange(option)
    }

    /*
        监听低功耗蓝牙设备的特征值变化事件
        Note:需定义监听函数，函数名与callBackName一致
    */
   var onBLECharacteristicValueChange= function(callBackName){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        bleUse.instance().onBLECharacteristicValueChange(callBackName)
   }

    /*
        读取低功耗蓝牙设备指定特征值的二进制数据值
        参数option为jsonString
        格式如下  "{"success":"successCallBackName","fail":"failCallBackName", "deviceId":"69875CBE-534A-2BFE-23CE-B196487138E5","serviceId":"FFF0","characteristicId":"FFF1"}"
        successCallBackName 读取成功函数名 参数为jsonString
        failCallBackName 读取失败函数名
        deviceId 设备的UUID
        serviceId 服务UUID
        characteristicId 特征值UUID
    */
    var readBLECharacteristicValue= function(option){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        bleUse.instance().readBLECharacteristicValue(option)
    }

    /*
        向低功耗蓝牙设备指定特征值写入二进制数据
        参数option为jsonString
        格式如下  "{"success":"successCallBackName","fail":"failCallBackName", "deviceId":"69875CBE-534A-2BFE-23CE-B196487138E5","serviceId":"FFF0","characteristicId":"FFF1", "value":"buffer" }"
        successCallBackName 写入成功函数名 参数为jsonString
        failCallBackName 写入失败函数名
        deviceId 设备的UUID
        serviceId 服务UUID
        characteristicId 特征值UUID
        value 写入数据 UTF8String
    */
    var writeBLECharacteristicValue= function(options){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        //     alert("11")
        bleUse.instance().writeBLECharacteristicValue(options)
    }

    /*
        获取已搜索到的蓝牙设备
        返回为jsonString
    */
    var getBluetoothDevices= function(){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        var devicesInfo = bleUse.instance().getBluetoothDevices()
    }

    /*
        根据uuid获取处于已连接的设备
        参数option为jsonString
        格式如下  "{"services":"UUID0,UUID1,UUID2"}"    参数用 ， 隔开
        返回为jsonString
    */
   var getConnectedBluetoothDevices= function(options){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        var devicesInfo = bleUse.instance().getConnectedBluetoothDevices(options)
    }

    /*
        监听低功耗蓝牙设备连接状态变化事件
        Note:需定义监听函数，函数名与callBackName一致   函数参数为jsonString
        0-未连接，1-连接
    */
    var onBLEConnectionStateChange= function(callBackName){
        var bleUse = plus.android.importClass("com.adol.adolsmart.browse.ble.bleUse")
        bleUse.instance().onBLEConnectionStateChange(callBackName)
   };
   var a ={
             onBLEConnectionStateChange:onBLEConnectionStateChange,
//             getConnectedBluetoothDevices:getConnectedBluetoothDevices,
//             getBLEDeviceCharacteristics:getBLEDeviceCharacteristics,
             getBLEDeviceServices:getBLEDeviceServices,
             closeBLEConnection:closeBLEConnection,
             createBLEConnection:createBLEConnection,
             stopBluetoothDevicesDiscovery:stopBluetoothDevicesDiscovery,
             getBluetoothStatus:getBluetoothStatus,
             closeBluetooth:closeBluetooth,
             openBluetooth:openBluetooth,
             onBluetoothStateChange:onBluetoothStateChange,
            onBluetoothDeviceFound:onBluetoothDeviceFound,
            startBluetoothDevicesDiscovery:startBluetoothDevicesDiscovery,
             notifyBLECharacteristicValueChange:notifyBLECharacteristicValueChange,
             onBLECharacteristicValueChange:onBLECharacteristicValueChange,
            // readBLECharacteristicValue:readBLECharacteristicValue,
             writeBLECharacteristicValue:writeBLECharacteristicValue,
             //getBluetoothDevices:getBluetoothDevices,


   }
   window.androidBLE = a;
   return a
})();



